This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### shininess()
Examples |
    size(100, 100, P3D);
    background(0);
    noStroke();
    background(0);
    fill(0, 51, 102);
    ambientLight(102, 102, 102);
    lightSpecular(204, 204, 204);
    directionalLight(102, 102, 102, 0, 0, -1);
    specular(255, 255, 255);
    translate(30, 50, 0);
    shininess(1.0);
    sphere(20);  // Left sphere
    translate(40, 0, 0);
    shininess(5.0);
    sphere(20);  // Right sphere
Description | Sets the amount of gloss in the surface of shapes. Used in combination with ambient(), specular(), and emissive() in setting the material properties of shapes.
Syntax |
    shininess(shine)
Parameters |
shine | float: degree of shininess
Returns | void
Related | emissive() ambient() specular()

Updated on October 26, 2013 08:58:32pm PDT